SDL_GetCurrentDisplayMode(3)

NAME
SDL_GetCurrentDisplayMode - Get information about the current display mode.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

const SDL_DisplayMode* SDL_GetCurrentDisplayMode(SDL_DisplayID displayID);

DESCRIPTION
There's a difference between this function and SDL_GetDesktopDisplayMode () when SDL runs fullscreen and has changed the resolution. In that case this function will return the current display mode, and not the previous native display mode.

FUNCTION PARAMETERS

displayID
    the instance ID of the display to query

RETURN VALUE
Returns a pointer to the desktop display mode or NULL on error; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetDesktopDisplayMode(3), SDL_GetDisplays(3)